Bug 1007436 - Need to provide off-line beta users with downloadable maven repo for beta
Need to provide off-line beta users with downloadable maven repo for beta
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Build Process, Maven Repository (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: ---
Assigned To: Julian Coleman
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 09:36 EDT by Len DiMaggio
Modified: 2015-08-02 19:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1701 Blocker Closed bad practice: default project adds repository.jboss.org repos into pom.xml 2014-06-16 19:48:46 EDT

  None (edit)
Description Len DiMaggio 2013-09-12 09:36:15 EDT
Description of problem:

Related to:  https://bugzilla.redhat.com/show_bug.cgi?id=1007423

In order for FSW6.beta customers to reliably build applications, they must have access to (and configure in settings.xml) these repositories:

EAP 6.0
EAP 6.0.1
EAP 6.1
FSW 6.0.beta

We need to provide off-line beta users with a zipp'ed repo that they can easily download and install - and a sample/template settings.xml to reference that downloaded zip.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 JBoss JIRA Server 2013-09-12 14:10:07 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1701

Using settings.xml is a pain and it bites more users than it helps.  Also, artifacts related to product have a unique version suffix, so I'm not sure how having the JBoss Nexus repository definition in the pom could possibly resolve product artifacts via this definition.

Now that I have that off my chest ... :-)  We are going to sync the 1.1 release artifacts to central, so this repo definition won't be necessary in community or product after that.
Comment 3 JBoss JIRA Server 2013-10-01 06:56:48 EDT
Max Rydahl Andersen <manderse@redhat.com> made a comment on jira SWITCHYARD-1701

where is FSW ER4 directory ?
Comment 4 Nick Cross 2013-10-04 10:53:56 EDT
FSW ER4 has been released with a 4GB trim repo (http://dev138.mw.lab.eng.bos.redhat.com/candidate/soa-6.0.0-ER4).
Comment 9 Suz 2013-10-14 02:36:50 EDT
Install the JBoss Integration Maven Repository Locally [22403] added.
Comment 10 JBoss JIRA Server 2013-11-11 20:01:10 EST
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1701

pushed
Comment 12 JBoss JIRA Server 2014-06-16 19:48:48 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1701 to Closed

Note You need to log in before you can comment on or make changes to this bug.